virt-index-validate(1)

名前
virt-index-validate - Validate virt-builder index file

書式
 virt-index-validate index

説明
virt-builder(1) uses an index file to store metadata about templates that it knows how to use. This index file has a specific format which virt-index-validate knows how to validate.

Note that virt-index-validate can validate either the signed or unsigned index file (ie. either index or index.asc). It can only validate a local file, not a URL.

オプション

--compat-1.24.0
    Check for compatibility with virt-builder 1.24.0. (Using this option implies --compat-1.24.1, so you don't need to use both.)

    In particular:

    •   This version of virt-builder could not handle "[...]" (square brackets) in field names (eg. "checksum[sha512]=...").

    •   It required detached signatures ("sig=...").

--compat-1.24.1
    Check for compatibility with virt-builder ≥ 1.24.1.

    In particular:

    •   This version of virt-builder could not handle "." (period) in field names or "," (comma) in subfield names.

    •   It could not handle comments appearing in the file.

--help
    ヘルプを表示します。

-V
--version
    バージョン番号を表示して、終了します。

終了ステータス
This program returns 0 if the index file validates, or non-zero if there was an error.

関連項目
virt-builder(1), http://libguestfs.org/.

著者
Richard W.M. Jones http://people.redhat.com/~rjones/

COPYRIGHT
Copyright (C) 2013 Red Hat Inc.

LICENSE

BUGS
To get a list of bugs against libguestfs, use this link: https://bugzilla.redhat.com/buglist.cgi?component=libguestfs&product=Virtualization+Tools

To report a new bug against libguestfs, use this link: https://bugzilla.redhat.com/enter_bug.cgi?component=libguestfs&product=Virtualization+Tools

When reporting a bug, please supply:

•   The version of libguestfs.

•   Where you got libguestfs (eg. which Linux distro, compiled from source, etc)

•   Describe the bug accurately and give a way to reproduce it.

•   Run libguestfs-test-tool(1) and paste the complete, unedited output into the bug report.